#ifdef GL_ES
#define LOWP lowp
precision mediump float;
#else
#define LOWP
#endif
varying LOWP vec4 v_color;
varying vec2 v_texCoords;
uniform sampler2D u_texture;
uniform float r;
uniform float g;
uniform float b;
void main()
{
  vec4 c_color=texture2D(u_texture, v_texCoords);
  vec4 final = v_color * c_color;
  if(final.r*r > 0.6){
  gl_FragColor.r = 0.6;
  }else{
    gl_FragColor.r = final.r * r;
  }

  gl_FragColor.g = final.g * g;
  gl_FragColor.b = final.b * b;
  gl_FragColor.a = final.a;


      vec4 accum = vec4(0.0);
      vec4 normal = vec4(0.0);
      normal = texture2D(CC_Texture0, vec2(v_texCoord.x, v_texCoord.y));
      accum += texture2D(CC_Texture0, vec2(v_texCoord.x - radius, v_texCoord.y - radius));
      accum += texture2D(CC_Texture0, vec2(v_texCoord.x + radius, v_texCoord.y - radius));
      accum += texture2D(CC_Texture0, vec2(v_texCoord.x + radius, v_texCoord.y + radius));
      accum += texture2D(CC_Texture0, vec2(v_texCoord.x - radius, v_texCoord.y + radius));
      accum.rgb =  u_outlineColor * accum.a;
      accum.a = 0.0;
      normal = ( accum * (1.0 - normal.a)) + (normal * normal.a);
      gl_FragColor = v_fragmentColor * normal;

}