#ifdef GL_ES
#define LOWP lowp
precision mediump float;
#else
#define LOWP
#endif
varying LOWP vec4 v_color;
varying vec2 v_texCoords;
uniform sampler2D u_texture;
uniform float r;
uniform float g;
uniform float b;
void main()
{
  vec4 c_color=texture2D(u_texture, v_texCoords);
  vec4 final = v_color * c_color;
  if(final.r*r > 0.6){
  gl_FragColor.r = 0.6;
  }else{
    gl_FragColor.r = final.r * r;
  }

  gl_FragColor.g = final.g * g;
  gl_FragColor.b = final.b * b;
  gl_FragColor.a = final.a;

}